/*
 * @(#)AlgorithmParameterSpec.java	1.15 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package java.security.spec;

/**
 * A (transparent) specification of cryptographic parameters.
 *
 * <P> This interface contains no methods or constants. Its only purpose
 * is to group (and provide type safety for) all parameter specifications.
 * All parameter specifications must implement this interface.
 * 
 * @author Jan Luehe
 *
 * @version 1.15, 11/17/05
 *
 * @see java.security.AlgorithmParameters
 * @see DSAParameterSpec
 *
 * @since 1.2
 */

public interface AlgorithmParameterSpec { }
